diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 5fb07c3..6c8e582 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -1525,7 +1525,14 @@ define(
                       col_type = '';
                   label_text.innerText = c.name;
 
-                  var type = pg_types[c.type_code][0];
+                  var type = pg_types[c.type_code] ?
+                               pg_types[c.type_code][0] :
+                               // This is the case where user might
+                               // have use casting so we will use type
+                               // returned by cast function
+                               pg_types[pg_types.length - 1][0] ?
+                                 pg_types[pg_types.length - 1][0] : 'unknown';
+
                   if (!is_primary_key)
                     col_type += ' ' + type;
                   else
